The system-wide tex4ht.env is modified to use Debian specific locations

Index: tex4ht-20090218/texmf/tex4ht/base/unix/tex4ht.env
===================================================================
--- tex4ht-20090218.orig/texmf/tex4ht/base/unix/tex4ht.env	2009-02-22 14:47:39.000000000 +0530
+++ tex4ht-20090218/texmf/tex4ht/base/unix/tex4ht.env	2009-02-22 14:55:57.000000000 +0530
@@ -1,6 +1,7 @@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 % tex4ht.env / .tex4ht (unix)           2009-01-20-20:54 %
 % Copyright (C) 1997--2009        Eitan M. Gurari        %
+% Modified                        Kapil Paranjape        %
 %                                                        %
 % This work may be distributed and/or modified under the %
 % conditions of the LaTeX Project Public License, either %
@@ -20,6 +21,9 @@
 %                 http://www.cse.ohio-state.edu/~gurari  %
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
 %
+% Modifictions by Kapil Paranjape are tagged             %
+% <KHP_Changes> </KHP_Changes>                                           %
+%                                                        %
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 % Notes:                                                            %
 %  1. Empty lines might be harmful                                  %
@@ -50,6 +54,7 @@
 %   + t entries are ignored                                         %
 %   + the path before /ht-fonts/ is ignored in i records that don't %
 %     represent real addresses                                      %
+%   + (see /usr/share/doc/tex4ht/README.kpathsea for details)
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %
 %
@@ -150,7 +155,11 @@
 %   magnification: -x mag  (e.g., -x 1200)                          %
 %   page size:     -T x,y  (e.g., -T 14in,14in)                     %
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
- <convert>
+% <KHP_Changes>
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+% The convert method is the upstream default method
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+<convert>
  G.png
  Gdvips -E -q -Ppdf -f %%1 -pp %%2 > zz%%4.ps
  Ggs -sDEVICE=pngalpha -sOutputFile=%%3 -r110x110 -dEPSCrop -dBackgroundColor=16#ffffff -dTextAlphaBits=2 -dGraphicsAlphaBits=2 -q -dbatch -dNOPAUSE zz%%4.ps -c quit
@@ -167,7 +176,8 @@
 % Gconvert -crop 0x0 +repage -density 110x110 -transparent "#FFFFFF" zz%%4.ps %%3
 % Gconvert -crop 0x0 +page -density 110x110 -transparent "#FFFFFF" zz%%4.ps %%3
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
- </convert>
+</convert>
+% </KHP_Changes>
 <netpbm>
 Gdvips -Ppdf -mode ibmvga -D 110 -f %%1 -pp %%2  > zz%%4.ps
 Ggs -sDEVICE=ppm -r110 -sOutputFile=zz%%4.ppm -q -dbatch -dTextAlphaBits=4 -dGraphicsAlphaBits=4 -dNOPAUSE zz%%4.ps -c quit
@@ -180,7 +190,11 @@
 Grm temp.ppm
 % Gppmtogif -interlace -transparent 1,1,1 zz%%4.ppm > %%3 
 </netpbm>
-<dvipng>
+% <KHP_Changes>
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+% This is the Debian default which uses dvipng
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+ <dvipng>
 G.png
 Gdvipng -T tight -x 1400 -D 72 -bg Transparent -pp %%2:%%2 %%1 -o %%3
 G.gif
@@ -189,7 +203,8 @@
 Gdvips -Ppdf -mode ibmvga -D 110 -f %%1 -pp %%2 > zz%%4.ps
 Gconvert -crop 0x0 -density 110x110 -transparent '#FFFFFF' zz%%4.ps %%3
 Grm zz%%4.ps
-</dvipng>
+ </dvipng>
+% </KHP_Changes>
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 % Default scripts, shifted rightward 1 pos
@@ -215,9 +230,11 @@
 % removed protection                                                %
 S*
 %
+% <KHP_Changes>
+%
 <javahelp>
 .html mv %%1.html %%1.tmp
-.html java -classpath  %%~/texmf-dist/tex4ht/bin/tex4ht.jar xtpipes -i %%~/texmf-dist/tex4ht/xtpipes/ -s javahelp.4xt -o %%1.html %%1.tmp
+.html java -classpath /usr/share/tex4ht/tex4ht.jar xtpipes -i /usr/share/texmf/tex4ht/xtpipes/ -s javahelp.4xt -o %%1.html %%1.tmp
 .jhm echo "java -jar ${HOME}/jh2.0/javahelp/bin/jhindexer.jar -db %%0-doc/%%1-jhs %%1*.html"
 .jhm echo "--- Warning ---  Beware of leftover %%1*.html files from other compilations"
 .jhm java -jar ${HOME}/jh2.0/javahelp/bin/jhindexer.jar -db %%0-doc/%%1-jhs %%1*.html
@@ -228,43 +245,46 @@
 
 <emspk>
 .html mv %%1.html %%1.tmp
-.html java -classpath  %%~/texmf-dist/tex4ht/bin/tex4ht.jar xtpipes -i %%~/texmf-dist/tex4ht/xtpipes/ -o %%1.html %%1.tmp
+.html java -classpath /usr/share/tex4ht/tex4ht.jar xtpipes -i /usr/share/texmf/tex4ht/xtpipes/ -o %%1.html %%1.tmp
 </emspk>
 
 <jsml>
 .jsml mv %%1.jsml %%1.tmp
-.jsml java -classpath %%~/texmf-dist/tex4ht/bin/tex4ht.jar xtpipes -i %%~/texmf-dist/tex4ht/xtpipes/ -o %%1.jsml %%1.tmp
+.jsml java -classpath /usr/share/tex4ht/tex4ht.jar xtpipes -i /usr/share/texmf/tex4ht/xtpipes/ -o %%1.jsml %%1.tmp
 </jsml>
 
 <docbk>
 .xml cp %%1.xml %%1.tmp
-.xml java -classpath %%~/texmf-dist/tex4ht/bin/tex4ht.jar xtpipes -i %%~/texmf-dist/tex4ht/xtpipes/ -o %%1.xml %%1.tmp
+.xml java -classpath /usr/share/tex4ht/tex4ht.jar xtpipes -i /usr/share/texmf/tex4ht/xtpipes/ -o %%1.xml %%1.tmp
 </docbk>
 
 <xhtml>
 .html mv %%1.html %%1.tmp
-.html java -classpath  %%~/texmf-dist/tex4ht/bin/tex4ht.jar xtpipes -i %%~/texmf-dist/tex4ht/xtpipes/ -s xhtml.4xt -o %%1.html %%1.tmp
+.html java -classpath /usr/share/tex4ht/tex4ht.jar xtpipes -i /usr/share/texmf/tex4ht/xtpipes/ -s xhtml.4xt -o %%1.html %%1.tmp
 .xht mv %%1.xht %%1.tmp
-.xht java -classpath  %%~/texmf-dist/tex4ht/bin/tex4ht.jar xtpipes -i %%~/texmf-dist/tex4ht/xtpipes/ -s xhtml.4xt -o %%1.xht %%1.tmp
+.xht java -classpath /usr/share/tex4ht/tex4ht.jar xtpipes -i /usr/share/texmf/tex4ht/xtpipes/ -s xhtml.4xt -o %%1.xht %%1.tmp
 .xml mv %%1.xml %%1.tmp
-.xml java -classpath  %%~/texmf-dist/tex4ht/bin/tex4ht.jar xtpipes -i %%~/texmf-dist/tex4ht/xtpipes/ -s xhtml.4xt -o %%1.xml %%1.tmp
+.xml java -classpath /usr/share/tex4ht/tex4ht.jar xtpipes -i /usr/share/texmf/tex4ht/xtpipes/ -s xhtml.4xt -o %%1.xml %%1.tmp
 </xhtml>
 
 <xhtmml>
 .html mv %%1.html %%1.tmp
-.html java -classpath  %%~/texmf-dist/tex4ht/bin/tex4ht.jar xtpipes -i %%~/texmf-dist/tex4ht/xtpipes/ -s xhtmml.4xt -o %%1.html %%1.tmp
+.html java -classpath /usr/share/tex4ht/tex4ht.jar xtpipes -i /usr/share/texmf/tex4ht/xtpipes/ -s xhtmml.4xt -o %%1.html %%1.tmp
 .xht mv %%1.xht %%1.tmp
-.xht java -classpath  %%~/texmf-dist/tex4ht/bin/tex4ht.jar xtpipes -i %%~/texmf-dist/tex4ht/xtpipes/ -s xhtmml.4xt -o %%1.xht %%1.tmp
+.xht java -classpath /usr/share/tex4ht/tex4ht.jar xtpipes -i /usr/share/texmf/tex4ht/xtpipes/ -s xhtmml.4xt -o %%1.xht %%1.tmp
 .xml mv %%1.xml %%1.tmp
-.xml java -classpath  %%~/texmf-dist/tex4ht/bin/tex4ht.jar xtpipes -i %%~/texmf-dist/tex4ht/xtpipes/ -s xhtmml.4xt -o %%1.xml %%1.tmp
+.xml java -classpath /usr/share/tex4ht/tex4ht.jar xtpipes -i /usr/share/texmf/tex4ht/xtpipes/ -s xhtmml.4xt -o %%1.xml %%1.tmp
 </xhtmml>
  
 <ooxtpipes>
 .4oo mv %%0.4oo %%0.tmp
-.4oo java -classpath %%~/texmf-dist/tex4ht/bin/tex4ht.jar xtpipes -i %%~/texmf-dist/tex4ht/xtpipes/ -o %%0.4oo %%0.tmp
+.4oo java -classpath /usr/share/tex4ht/tex4ht.jar xtpipes -i /usr/share/texmf/tex4ht/xtpipes/ -o %%0.4oo %%0.tmp
 .4om mv %%1.4om %%1.tmp
-.4om java -classpath %%~/texmf-dist/tex4ht/bin/tex4ht.jar xtpipes -i %%~/texmf-dist/tex4ht/xtpipes/ -o %%1.4om %%1.tmp
+.4om java -classpath /usr/share/tex4ht/tex4ht.jar xtpipes -i /usr/share/texmf/tex4ht/xtpipes/ -o %%1.4om %%1.tmp
 </ooxtpipes>
+ %
+ % </KHP_Changes>
+ %
 %
 <validatehtml>
  .html xmllint --noout --valid --html %%1.html
@@ -277,8 +297,8 @@
  %
 <oo>
 %%% openoffice                                                      %
-.4oo mkdir sxw-%%0.dir
-.4os mkdir sxw-%%0.dir/Pictures
+.4oo mkdir -p sxw-%%0.dir
+.4os mkdir -p sxw-%%0.dir/Pictures
 .4os mv    %%1.4os         sxw-%%0.dir/settings.xml
 .4oo mv    %%0.4oo         sxw-%%0.dir/content.xml
 %                                                                   %
@@ -286,7 +306,7 @@
 .4om mv    %%1.4om         sxw-%%0.dir/%%1/content.xml
 .4om cp    sxw-%%0.dir/settings.xml  sxw-%%0.dir/%%1/settings.xml
 %                                                                   %
-.4of mkdir sxw-%%0.dir/META-INF
+.4of mkdir -p sxw-%%0.dir/META-INF
 .4of mv    %%1.4of         sxw-%%0.dir/META-INF/manifest.xml
 %                                                                   %
 .4ot mv    %%1.4ot         sxw-%%0.dir/meta.xml
